.contact-main {
    display: flex;
    background-color: #F6F7F8;
    height: 100%;
    max-width: calc(1440px - 232px);
}

.sidebar-contacts {
    display: flex;
    overflow-y: auto;
    background: #FFFFFF;
    box-shadow: 4px 0px 6px rgba(0, 0, 0, 0.08);
    min-width: 390px;
    z-index: 20;
    height: calc(100vh - 96px);
    flex-direction: column;
    padding: 0 2% 0 2%;
}

.contact-list {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    gap: 8px;
}

.contact-list-header {
    flex: none;
    order: 1;
    flex-grow: 0;
}

.add-contact-btn {
    display: flex;
    align-items: center;
    padding: 8px 80px;
    margin: 0 auto 0 auto;
    gap: 10px;
    cursor: pointer;
    color: white;
    font-family: "Inter_bold";
    font-size: 21px;
    background-color: #2A3647;
    border: none;
    border-radius: 10px;
}

.add-contact-btn-position {
    position: sticky;
    top: 12px;
    margin-top: 12px;
}

.position-stick-contacts {
    position: sticky;
    top: 96px;
}

.long-contact-name {
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    width: 100%;
    word-break: break-word;
    overflow-wrap: break-word;
}

.add-contact-btn:hover {
    background-color: #29ABE2;
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
}

.separator-list {
    margin-top: 1px;
    margin-bottom: 1px;
    height: 1px;
    border-radius: 3px;
    background-color: #D1D1D1;
}

.single-letter {
    margin: 8px;
    padding: 17px 17px;
}

.single-letter-section {
    align-self: stretch;
}

.contact-display {
    width: 100%;
    margin-left: 80px;
    margin-top: 110px;
    margin-right: 25px;
}

.contact-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.separator-vertical {
    width: 3px;
    background-color: #29ABE2;
    height: 59px;
    border-radius: 3px;
    margin: 0px 30px;
}

.contact-sub {
    font-weight: 400;
    font-size: 27px;
    color: #2A3647;
}

.contact-main-view {
    display: flex;
    flex-direction: column;
    margin-top: 30px;
}

.main-name {
    display: flex;
    flex-direction: row;
    gap: 54px;
    margin-bottom: 10px;
    align-items: center;
    margin-left: 7px;
}

.two-letter-name {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #D9D9D9;
    border: 3px solid #FFFFFF;
    color: white;
    border-radius: 70px;
    box-shadow: 0px 0px 4px rgba(0, 0, 0, 0.1);
    height: 120px;
    min-width: 120px;
}

.position-two-letter {
    margin: auto 20px;
}

.name-field {
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.name-field p {
    word-break: break-word;
    overflow-wrap: break-word;
}

.fullname {
    font-weight: 500;
    font-size: 47px;
    font-family: "Inter_bold";
}

.main-name-btns {
    display: flex;
    gap: 13px;
}

.name-btn {
    display: flex;
    align-items: center;
    border: none;
    background-color: transparent;
    cursor: pointer;
    gap: 8px;
}

.font-size-16 {
    font-weight: 400;
    font-size: 16px;
}

.sub-header-information {
    margin-top: 54px;
    margin-bottom: 54px;
}

.info-text {
    font-weight: 700;
    font-size: 16px;
}

.info-display {
    display: flex;
    flex-direction: column;
    margin-bottom: 22px;
    gap: 15px;
}

.list-user {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding-top: 5px;
    padding-bottom: 10px;
    cursor: pointer;
    gap: 35px;
}

.two-letter-name-small {
    display: flex;
    justify-content: center;
    align-items: center;
    color: white;
    border-radius: 45px;
    min-width: 42px;
    height: 42px;
    border: 3px solid #FFFFFF;
}

.list-info {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 5px;
    flex: 1;
}

.list-info p {
    word-break: break-word;
    overflow-wrap: break-word;
}

.color-mail {
    color: #007CEE;
}

.font-size-20 {
    font-weight: 400;
    font-size: 20px;
}

.input-width-contacts {
    max-width: 85%;
}

.single-User {
    display: flex;
    gap: 35px;
    width: 100%;
    padding: 8px;
    border-radius: 10px;
    box-sizing: border-box;
}

.single-User:hover {
    background-color: rgba(84, 87, 84, 0.1);
    color: black;
}

.user-active {
    background-color: #2a3647;
    color: white;
}

.user-active:hover {
    background-color: #3a4555;
    color: white;
}

#editUser:hover {
    font-family: "Inter_bold";
    color: #29ABE2;
}

#deleteUser:hover {
    font-family: "Inter_bold";
    color: #29ABE2;
}

#editUser::before {
    content: "";
    width: 24px;
    height: 24px;
    background: url("../../assets/icons/contacts/edit.svg") center / contain no-repeat;
}

#deleteUser::before {
    content: "";
    width: 24px;
    height: 24px;
    background: url("../../assets/icons/contacts/delete.svg") center / contain no-repeat;
}

#deleteUser:hover::before {
    content: "";
    width: 24px;
    height: 24px;
    background: url("../../assets/icons/board/delete_button_hover.svg") center / contain no-repeat;
}

#editUser:hover::before {
    content: "";
    width: 24px;
    height: 24px;
    background: url("../../assets/icons/board/edit_button_hover.svg") center / contain no-repeat;
}

.go-back-btn {
    display: none;
    border: none;
    background-color: transparent;
    cursor: pointer;
    padding-bottom: 70px;
}

.contact-header-text {
    display: flex;
    align-items: center;
}

.sub-menu-btn {
    display: none;
    position: absolute;
    border-radius: 50%;
    font-size: 0;
    padding: 10px;
    background-color: #2A3647;
    border: none;
    cursor: pointer;
    bottom: 100px;
    right: 2%;
}

.sub-menu-btn:hover {
    background-color: #29ABE2;
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
}

.sub-menu-btns {
    position: absolute;
    bottom: 130px;
    right: 5%;
    flex-direction: column;
    background-color: white;
    border-radius: 20px 20px 0px 20px;
    width: 90px;
    height: auto;
    padding: 10px;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, .2);
    z-index: 1;
    transform: translateX(200%);
    transition: transform 0.5s ease-in-out;
}

.sub-menu-btns.show {
    transform: translateX(0);
}